宝塔邮局 Rspamd未安装,请点击修复按钮,无法修复

 2022-09-11    107  

CentOS、Fedora

支持的发行版:

  • CentOS 7 (x86_64),需要 EPEL。Hyperscan 和 LuaJIT 已启用。

  • CentOS 8 (x86_64),需要 EPEL。Hyperscan 和 LuaJIT 已启用。

请注意,CentOSrpm 软件包需要在您的系统中安装 EPEL,因为基本 CentOS 存储库中缺少许多依赖项。您可以从他们的网站了解如何安装 EPEL:https ://fedoraproject.org/wiki/EPEL 。 Fedora软件包不需要 EPEL 或任何其他第三方存储库。请记住,您可能还需要 Rspamd 的调试符号包才能填写有关可能崩溃的错误报告。调试符号放置在rspamd-debug包中,即使在生产环境中也可以安全安装。

要安装 rspamd repo,请下载相应的存储库文件和签名密钥(repo 和所有包都使用我的 GPG 密钥签名)。您可以使用以下命令安装 rspamd stable 1 RPM 存储库:

curl https://rspamd.com/rpm-stable/centos-7/rspamd.repo > /etc/yum.repos.d/rspamd.repo # For Centos-7
#curl https://rspamd.com/rpm-stable/centos-8/rspamd.repo > /etc/yum.repos.d/rspamd.repo # Uncomment for Centos-8
rpm --import https://rspamd.com/rpm-stable/gpg.key
yum update
yum install rspamd

Debian 和 Ubuntu Linux

Rspamd 支持以下基于 .deb 的发行版:

  • Debian Bullseye(仅限 x86_64)Hyperscan 和 LuaJIT 已启用。

  • 启用了Debian buster(仅限 x86_64)Hyperscan 和 LuaJIT。

  • Debian sid(仅限 x86_64)Hyperscan 和 LuaJIT 已启用。

  • Ubuntu xenial(仅限 x86_64)Hyperscan 和 LuaJIT 已启用。

  • Ubuntu 仿生(仅限 x86_64)Hyperscan 和 LuaJIT 已启用。

  • Ubuntu 焦点(自 2.5 起) 同上。

要安装 rspamd stable 1 apt 存储库,请使用以下命令:

sudo apt-get install -y lsb-release wget # optionalCODENAME=`lsb_release -c -s`sudo mkdir -p /etc/apt/keyrings
wget -O- https://rspamd.com/apt-stable/gpg.key | gpg --dearmor | sudo tee /etc/apt/keyrings/rspamd.gpg > /dev/nullecho "deb [arch=amd64 signed-by=/etc/apt/keyrings/rspamd.gpg] http://rspamd.com/apt-stable/ $CODENAME main" | sudo tee /etc/apt/sources.list.d/rspamd.listecho "deb-src [arch=amd64 signed-by=/etc/apt/keyrings/rspamd.gpg] http://rspamd.com/apt-stable/ $CODENAME main"  | sudo tee -a /etc/apt/sources.list.d/rspamd.listsudo apt-get updatesudo apt-get --no-install-recommends install rspamd


原文链接:http://ceacer.cn/?id=3976

=========================================

http://ceacer.cn/ 为 “Ceacer 网安” 唯一官方服务平台,请勿相信其他任何渠道。